class GetSegmentOnTeamResponse {
  String? error;
  List<Segments>? segments;
  String? message;

  GetSegmentOnTeamResponse({this.error, this.segments, this.message});

  GetSegmentOnTeamResponse.fromJson(Map<String, dynamic> json) {
    error = json['error'];
    if (json['segments'] != null) {
      segments = <Segments>[];
      json['segments'].forEach((v) {
        segments!.add(new Segments.fromJson(v));
      });
    }
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['error'] = this.error;
    if (this.segments != null) {
      data['segments'] = this.segments!.map((v) => v.toJson()).toList();
    }
    data['message'] = this.message;
    return data;
  }
}

class Segments {
  String? id;
  String? teamId;
  String? name;
  String? date;
  String? isExists;
  String? createdDatetime;
  String? updatedDatetime;

  Segments(
      {this.id,
        this.teamId,
        this.name,
        this.date,
        this.isExists,
        this.createdDatetime,
        this.updatedDatetime});

  Segments.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    teamId = json['team_id'];
    name = json['name'];
    date = json['date'];
    isExists = json['is_exists'];
    createdDatetime = json['created_datetime'];
    updatedDatetime = json['updated_datetime'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['team_id'] = this.teamId;
    data['name'] = this.name;
    data['date'] = this.date;
    data['is_exists'] = this.isExists;
    data['created_datetime'] = this.createdDatetime;
    data['updated_datetime'] = this.updatedDatetime;
    return data;
  }
}
